# [Preview] Update User Password

> API reference for updating the password for a specified user account

Updates the password for the specified users.

## API Endpoint

`POST` `https://{yourDomain}/identity/api/User/{userId}/changepassword`

## Scopes

Requires the following scopes:

* PM.User
* PM.User.Write

## Request Headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described [here](https://docs.uipath.com/orchestrator/standalone/2024.10/api-guide/authentication-methods#authentication-methods).
:::

## Path Parameters

| Path param | Data type | Description |
| --- | --- | --- |
| `userId`  (required) | String | The ID of the user you want to update the password for. |

## Request Body

The request body contains the organization ID to which to want to add the user, and, optionally, the groups you want to assign to add your user to.

```
{
  "oldPassword": "string",
  "newPassword": "string"
}
```

## Responses

### 200 OK

The user is created in the indicated organization and gets an ID.

### 400 Bad Request

The user could not be created.

```
{
    "errors": {
        "bypassBasicAuthRestriction": [
            "Unexpected character encountered while parsing value: h. Path 'bypassBasicAuthRestriction', line 17, position 35.",
            "Unexpected character encountered while parsing value: a. Path 'bypassBasicAuthRestriction', line 17, position 35."
        ]
    },
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "One or more validation errors occurred.",
    "status": 400,
    "traceId": "00-aec3de9099a9934e9c31e26c19f5e0dd-8c0d3d5f476c7742-00"
}
```

## Example Request

Let's say you gathered all the information needed to build the API call.

* Your `{baseURL}` is: `https://{yourDomain}/{organizationName}/{tenantName}/`
* Your `{access_token}` is: `1234` (for length considerations).
* The `{userId}` is: `har-3107`

The call should look like below (cURL):

```
curl --location --request POST 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/User/har-3107/changepassword' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
  "oldPassword": "al0h0m0ra-account",
  "newPassword": "patr0nu5"
}'
```

Here is the response for a successful call:

```
{
    "succeeded": true,
    "errors": []
}
```
